--- rkhunter-1.2.8.orig/files/rkhunter.conf
+++ rkhunter-1.2.8/files/rkhunter.conf
@@ -1,7 +1,7 @@
 # This is the configuration file of Rootkit Hunter. Please change
 # it to your needs.
 #
-# All lines beginning with a dash (#) or empty lines, will be ignored.
+# All lines beginning with a hash (#) or empty lines, will be ignored.
 #
 
 # Links to files. Don't change if you don't need to.
--- rkhunter-1.2.8.orig/debian/changelog
+++ rkhunter-1.2.8/debian/changelog
@@ -0,0 +1,199 @@
+rkhunter (1.2.8-4ipsyn) unstable; urgency=low
+
+  * Backport to sarge 
+
+ -- JLB <jlb@ipsyn.net>  Sun, 28 May 2006 11:07:37 +0200
+
+rkhunter (1.2.8-4) unstable; urgency=low
+
+  [Julien Valroff]
+  * Added all Debian supported architectures to os.dat (Closes: #360707)
+  * Added commented entries in rkhunter.conf for udev (Closes: #360071)
+  * Now intalls db files to be only readable by root
+  * Added GPL license blob to debian/copyright
+  * Moved shared scripts from /usr/lib to /usr/share (due to arch: all)
+  * Added dependency to net-tools
+  * Bumped Standards-Version to 3.7.0, no further changes required
+  
+  [Micah Anderson]
+  * Changed Build-depends-Indep to Build-depends to conform to 
+    new lintian strict errors
+
+ -- Micah Anderson <micah@debian.org>  Wed,  5 Apr 2006 00:47:43 -0400
+
+rkhunter (1.2.8-3) unstable; urgency=low
+
+  * Fixed debian/rules and debian/control for 'arch: all'
+
+ -- Julien Valroff <julien@kirya.net>  Sat, 25 Mar 2006 01:48:05 +0100
+
+rkhunter (1.2.8-2) unstable; urgency=low
+
+  * Removed broken mirrors
+  * Added debian/testing amd64 entry to os.dat (Closes: #356642)
+  * Changed architecture to all (Closes: #357451)
+
+ -- Julien Valroff <julien@kirya.net>  Sun,  5 Mar 2006 08:40:29 +0100
+
+rkhunter (1.2.8-1) unstable; urgency=low
+
+  * Upgraded to new release
+  * Removed mirror 7 (Closes: #346503)
+  * Fixed hash/dash mixup (Closes: #340382)
+
+ -- Micah Anderson <micah@debian.org>  Tue, 14 Feb 2006 20:17:51 -0500
+
+rkhunter (1.2.7-16) unstable; urgency=low
+
+  * Updated weekly cronjob to only send errors of database updates
+    unless you set DB_UPDATE_EMAIL in /etc/default/rkhunter to
+    "yes". (Closes: #332261) 
+  * Updated /etc/default/rkhunter to allow for reports and updates
+    to be sent to other email addresses (defaults to root)
+  * Added French translation - Sylvain Archenault (Closes: #333563)
+  * Added patch to escape the dot of filenames for the egrep call
+    (Bastian Kleineidam <calvin@debian.org>) (Closes: #334518)
+  * debian/control:
+    + Added dependency to perl
+    + recommends libmd5-perl
+
+ -- Micah Anderson <micah@debian.org>  Wed,  5 Oct 2005 17:08:18 -0400
+	
+rkhunter (1.2.7-15) unstable; urgency=low
+
+  * Fixed typos in postinst script
+  * Changed postinst script not to use sed '--in-place' option
+    (Closes: #330693)
+  * Added a note in README.Debian about packages known to set off
+    false alarms
+  * Updated debconf templates (Closes: #331469)
+  * Added Swedish translation - Daniel Nylander (Closes: #331296)
+  * Updated Swedish translation - Daniel Nylander (Closes: #331603)
+  * Added Czech translation - Miroslav Kure (Closes: #331467)
+
+ -- Julien Valroff <julien@kirya.net>  Fri, 30 Sep 2005 06:56:55 +0200
+
+rkhunter (1.2.7-14) unstable; urgency=low
+
+  * Fixed insecure file creation in cronjob, thanks to Thomas Prokosch
+    (Closes: #330627)
+
+ -- Micah Anderson <micah@debian.org>  Wed, 28 Sep 2005 20:33:12 -0400
+
+rkhunter (1.2.7-13) unstable; urgency=low
+
+  [ Julien Valroff]
+  * Changed cron scripts not to use source bash built-in
+    command (Closes: #330067)
+  * Changed daily cron script to send reports only on
+    warnings (Closes: #330127)
+  * Changed README.Debian to reflect the changes made to
+    cron scripts (Closes: #330068)
+  * Changed default so that weekly database update and
+    daily run can be enabled/disabled independently
+  * Added debconf templates to enable/disable the cronjobs (Closes: #329624)
+  * Added myself as co-maintainer
+
+  [ Micah Anderson ]
+  * Changed debian/control to Depend on ${misc:Depends} instead of
+    debconf, this generates proper debconf dependencies.
+  * Added || true to the end of the db_go in debian/config to
+    prevent the script from dying if debconf can't display a
+    question, or the user tries to back up.
+
+ -- Julien Valroff <julien@kirya.net>  Sun, 25 Sep 2005 20:13:11 +0200
+
+rkhunter (1.2.7-12) unstable; urgency=low
+
+  * Changed README.Debian to spell default properly (Closes: #329315)
+  * Added cron.daily to do the rkhunter check daily, removed the weekly
+    check and made it update the database weekly instead. (Closes: #329411)
+
+ -- Micah Anderson <micah@debian.org>  Thu, 22 Sep 2005 07:08:33 -0400
+
+rkhunter (1.2.7-11) unstable; urgency=low
+
+  * Build for upload (Closes: #243938)
+  * Updated debian/rules to remove unused targets and noops
+  * Updated debian/rules to install the upstream changelog and the
+    /etc/default file using debhelper scripts, removed unused debhelper
+    scripts
+  * Updated debian/control to build-depend on dpatch and debian/rules to
+    pull-in appropriate dpatch pieces
+  * Updated debian/control, tightened up the description
+
+ -- Micah Anderson <micah@debian.org>  Sat,  3 Sep 2005 18:14:05 -0500
+
+rkhunter (1.2.7-10) unstable; urgency=low
+
+  * Modified 01_installer.dpatch:
+    - fixed the INSTALLDIR value in rkhunter.conf
+    - fixed path to documentation in some translations
+
+  * Moved db and tmp directories to /var/lib/rkhunter
+    (added a note in README.Debian about that)
+
+ -- Julien Valroff <julien@kirya.net>  Tue, 23 Aug 2005 21:47:48 +0200
+
+rkhunter (1.2.7-9) unstable; urgency=low
+
+  * Fixed INSTALLDIR value in rkhunter.conf (Zak Kipling <zak@transversal.com>)
+
+ -- Julien Valroff <julien@kirya.net>  Tue, 23 Aug 2005 19:39:32 +0200
+
+rkhunter (1.2.7-8) unstable; urgency=low
+
+  * Minor fixes to pass lintian tests
+
+ -- Julien Valroff <julien@kirya.net>  Tue, 16 Aug 2005 13:35:08 +0200
+
+rkhunter (1.2.7-7) unstable; urgency=low
+
+  * Renamed installer patch name
+
+ -- Julien Valroff <julien@kirya.net>  Sun,  7 Aug 2005 10:30:09 +0200
+
+rkhunter (1.2.7-6) unstable; urgency=low
+
+  * Cleaned up source packages
+
+ -- Julien Valroff <julien@kirya.net>  Thu,  4 Aug 2005 22:49:15 +0200
+
+rkhunter (1.2.7-5) unstable; urgency=low
+
+  * Added missing logrotate entry
+
+ -- Julien Valroff <julien@kirya.net>  Mon,  1 Aug 2005 18:04:44 +0200
+
+rkhunter (1.2.7-4) unstable; urgency=low
+
+  * Upload to unstable
+
+ -- Julien Valroff <julien@kirya.net>  Thu, 14 Jul 2005 07:34:55 +0200
+
+rkhunter (1.2.7-3) experimental; urgency=low
+
+  * Fixed bug with cron job
+  * Fixed dependency to mailx for report
+
+ -- Julien Valroff <julien@kirya.net>  Tue, 12 Jul 2005 18:07:18 +0200
+
+rkhunter (1.2.7-2) unstable; urgency=low
+
+  * Added weekly cron job
+  * Fixed removing process (failed because non-empty tmp dir)
+
+ -- Julien Valroff <julien@kirya.net>  Mon, 11 Jul 2005 20:54:09 +0200
+
+rkhunter (1.2.7-1) unstable; urgency=low
+
+  * New upstream release
+
+ -- Julien Valroff <julien@kirya.net>  Mon, 11 Jul 2005 20:22:47 +0200
+
+rkhunter (1.1.9-1) unstable; urgency=low
+
+  * Initial Release. (Closes: #243938)
+
+ -- Emanuele Rocca <ema@debian.org>  Wed,  5 Jan 2005 14:04:00 +0100
+
--- rkhunter-1.2.8.orig/debian/control
+++ rkhunter-1.2.8/debian/control
@@ -0,0 +1,28 @@
+Source: rkhunter
+Section: admin
+Priority: optional
+Maintainer: Micah Anderson <micah@debian.org>
+Uploaders: Julien Valroff <julien@kirya.net>
+Build-Depends: debhelper (>= 4.0.0), dpatch
+Build-Depends-Indep: po-debconf
+Standards-Version: 3.7.0
+
+Package: rkhunter
+Architecture: all
+Depends: wget, file, mailx, perl, net-tools, ${misc:Depends}
+Recommends: libmd5-perl
+Description: rootkit, backdoor, sniffer and exploit scanner
+ Rootkit Hunter scans your system for known and unknown rootkits,
+ backdoors, sniffers and exploits.
+ .
+ Some of the tests it does:
+   - MD5 hash compare
+   - Look for default files used by rootkits
+   - Wrong file permissions for binaries
+   - Look for suspected strings in LKM and KLD modules
+   - Look for hidden files
+   - Optional scan within plaintext and binary files
+ .  
+ Please note that rkhunter does *not* guarantee your system has
+ not been compromised! You should also run additional tests, e.g. using
+ chkrootkit and other measures.
--- rkhunter-1.2.8.orig/debian/compat
+++ rkhunter-1.2.8/debian/compat
@@ -0,0 +1 @@
+4
--- rkhunter-1.2.8.orig/debian/postinst
+++ rkhunter-1.2.8/debian/postinst
@@ -0,0 +1,87 @@
+#! /bin/sh
+# postinst script for rkhunter
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+. /usr/share/debconf/confmodule
+DF=/etc/default/rkhunter
+
+case "$1" in
+    configure)
+
+    db_get rkhunter/cron_db_update || true
+    case "$RET" in
+        true)
+        if [ -f $DF ]; then
+          TEMPFILE=`mktemp` || exit 1
+          sed $DF -e "s,^ *CRON_DB_UPDATE=.*,CRON_DB_UPDATE=\"yes\"," > $TEMPFILE
+          mv -f $TEMPFILE $DF
+          rm -f $TEMPFILE
+        fi
+        ;;
+        false)
+        if [ -f $DF ]; then
+          TEMPFILE=`mktemp` || exit 1
+          sed $DF -e "s,^ *CRON_DB_UPDATE=.*,CRON_DB_UPDATE=\"no\"," > $TEMPFILE
+          mv -f $TEMPFILE $DF
+          rm -f $TEMPFILE
+        fi
+        ;;
+        *)
+        ;;
+    esac
+
+    db_get rkhunter/cron_daily_run || true
+    case "$RET" in
+        true)
+        if [ -f $DF ]; then
+          TEMPFILE=`mktemp` || exit 1
+          sed $DF -e "s,^ *CRON_DAILY_RUN=.*,CRON_DAILY_RUN=\"yes\"," > $TEMPFILE
+          mv -f $TEMPFILE $DF
+          rm -f $TEMPFILE
+        fi
+        ;;
+        false)
+        if [ -f $DF ]; then
+          TEMPFILE=`mktemp` || exit 1
+          sed $DF -e "s,^ *CRON_DAILY_RUN=.*,CRON_DAILY_RUN=\"no\"," > $TEMPFILE
+          mv -f $TEMPFILE $DF
+          rm -f $TEMPFILE
+        fi
+        ;;
+        *)
+        ;;
+    esac
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- rkhunter-1.2.8.orig/debian/default
+++ rkhunter-1.2.8/debian/default
@@ -0,0 +1,22 @@
+# Defaults for rkhunter cron jobs
+# sourced by /etc/cron.*/rkhunter
+
+#
+# This is a POSIX shell fragment
+#
+
+# Set this to the email address where reports and run output should be sent
+REPORT_EMAIL="root"
+
+# Set this to yes to enable rkhunter weekly database updates
+CRON_DB_UPDATE="yes"
+
+# Set this to yes to enable reports of weekly database updates
+DB_UPDATE_EMAIL="no"
+
+# Set this to yes to enable rkhunter daily runs
+CRON_DAILY_RUN="yes"
+
+
+
+
--- rkhunter-1.2.8.orig/debian/postrm
+++ rkhunter-1.2.8/debian/postrm
@@ -0,0 +1,37 @@
+#! /bin/sh
+# postrm script for rkhunter
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+	rm -rf /usr/lib/rkhunter/tmp/*
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- rkhunter-1.2.8.orig/debian/patches/06_lib_to_share.dpatch
+++ rkhunter-1.2.8/debian/patches/06_lib_to_share.dpatch
@@ -0,0 +1,66 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 06_lib_to_share.dpatch by  <julien@kirya.net>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad rkhunter~/files/rkhunter rkhunter/files/rkhunter
+--- rkhunter~/files/rkhunter	2006-04-06 19:36:20.000000000 +0200
++++ rkhunter/files/rkhunter	2006-04-06 21:11:40.000000000 +0200
+@@ -613,6 +613,13 @@
+     exit 1
+ fi
+ 
++SHAREDIR=`cat ${CONFIGFILE} | grep 'SHAREDIR=' | sed s/SHAREDIR=//`
++if [ "${MYDIR}" = "" ]
++  then
++    echo "Fatal error: can't find SHAREDIR option in configuration file (${CONFIGFILE})"
++    exit 1
++fi
++
+ logtext "Info: Shell ${SHELL}"
+ 
+ logtext "------------------------ Configuration check --------------------------"
+@@ -2118,19 +2125,19 @@
+ 	    
+ 	    # Only use Perl MD5 module if we have it installed
+ 	    # If we can find it then skip the md5(sum) utility
+-	    perlmd5installed=`${MYDIR}/lib/rkhunter/scripts/check_modules.pl | grep 'Digest::MD5 installed'`
+-	    perlsha1installed=`${MYDIR}/lib/rkhunter/scripts/check_modules.pl | grep 'Digest::SHA1 installed'`
++	    perlmd5installed=`${SHAREDIR}/rkhunter/scripts/check_modules.pl | grep 'Digest::MD5 installed'`
++	    perlsha1installed=`${SHAREDIR}/rkhunter/scripts/check_modules.pl | grep 'Digest::SHA1 installed'`
+ 
+ 	    if [ ! "${perlmd5installed}" = "" ]
+ 	      then
+-	        md5="${MYDIR}/lib/rkhunter/scripts/filehashmd5.pl"
++	        md5="${SHAREDIR}/rkhunter/scripts/filehashmd5.pl"
+ 		logtext "Info: ${perlmd5installed}" >> ${DEBUGFILE}
+ 		logtext "Info: Using Perl Digest::MD5 module instead of ${MD5BINARY}"
+ 	    fi
+ 
+ 	    if [ ! "${perlsha1installed}" = "" ]
+ 	      then
+-	        #sha1="${MYDIR}/lib/rkhunter/scripts/filehashsha1.pl"
++	        #sha1="${SHAREDIR}/rkhunter/scripts/filehashsha1.pl"
+ 		logtext "Info: ${perlsha1installed}" >> ${DEBUGFILE}
+ 		#logtext "Using Perl Digest::SHA1 module instead of ${SHA1BINARY}"
+ 	    fi
+@@ -4219,7 +4226,7 @@
+ 	  logtext "Start scanning for hidden files in ${I}..."
+ 
+ 	  if [ -d "${I}" ]; then
+-	    HIDDENDIRS=`${MYDIR}/lib/rkhunter/scripts/showfiles.pl ${I}`
++	    HIDDENDIRS=`${SHAREDIR}/rkhunter/scripts/showfiles.pl ${I}`
+ 	    logtext "Value of hiddendirs: ${HIDDENDIRS}"
+ 	  fi
+ 	
+@@ -4984,7 +4991,7 @@
+   then
+     displaytext "Running updater..."
+     displaytext ""
+-    ${MYDIR}/lib/rkhunter/scripts/check_update.sh ${CONFIGFILE} ${MIRRORFILE} ${DB_PATH} ${md5} ${DEBUGFILE}
++    ${SHAREDIR}/rkhunter/scripts/check_update.sh ${CONFIGFILE} ${MIRRORFILE} ${DB_PATH} ${md5} ${DEBUGFILE}
+     displaytext ""
+     displaytext "Ready."
+ fi
--- rkhunter-1.2.8.orig/debian/patches/01_installer.dpatch
+++ rkhunter-1.2.8/debian/patches/01_installer.dpatch
@@ -0,0 +1,81 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 01_installer.dpatch by Julien Valroff <julien@kirya.net>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Patch to installer.sh allowing use of ${INSTALLDIR}.
+
+@DPATCH@
+
+diff -ur rkhunter-1.2.7/installer.sh.old rkhunter-1.2.7/installer.sh
+--- rkhunter-1.2.7/installer.sh.old	2005-08-04 23:22:08.000000000 +0200
++++ rkhunter-1.2.7/installer.sh		2005-08-04 23:22:18.000000000 +0200
+@@ -126,8 +126,8 @@
+ 
+ # Prefix: INSTALLDIR
+ INSTALLFILES2="
+-nooverwrite:rkhunter.conf:/usr/local/etc/rkhunter.conf:RK%%Hunter%%configuration%%file
+-overwrite:rkhunter:/usr/local/bin/rkhunter:RK%%Hunter%%binary
++nooverwrite:rkhunter.conf:${INSTALLDIR}/etc/rkhunter.conf:RK%%Hunter%%configuration%%file
++overwrite:rkhunter:${INSTALLDIR}/bin/rkhunter:RK%%Hunter%%binary
+ "
+ 
+ # Create directories (only if they do not exist)
+@@ -139,11 +139,11 @@
+ ${INSTALLDIR}/lib/rkhunter/docs
+ ${INSTALLDIR}/lib/rkhunter/scripts
+ ${INSTALLDIR}/lib/rkhunter/tmp
+-/usr/local/etc
+-/usr/local/bin
++${INSTALLDIR}/etc
++${INSTALLDIR}/bin
+ "
+ 
+-CHECKDIR="/usr/local"
++CHECKDIR="${INSTALLDIR}"
+ 
+ 
+ # Functions
+@@ -151,7 +151,7 @@
+   {
+     if [ "${PATH}" = "" ]
+       then
+-        PATH="$PATH:/usr/bin:/usr/local/bin"
++        PATH="$PATH:/usr/bin:${INSTALLDIR}/bin"
+     fi
+     
+ #    PATH=`echo ${PATH} | tr ':' ' '`
+@@ -320,7 +320,7 @@
+         t15="Instalando "
+         t16="Falhou (impossivel encontrar "
+         t17="InstalaÃ§Ã£o Concluida."
+-        t18="Leia a documentaÃ§Ã£o em /usr/local/rkhunter/docs para maiores informaÃ§Ãµes. Digite 'rkhunter' para executar o rootkit"
++        t18="Leia a documentaÃ§Ã£o em /usr/share/doc/rkhunter para maiores informaÃ§Ãµes. Digite 'rkhunter' para executar o rootkit"
+         t19="Falha na InstalaÃ§Ã£o"
+         ;;
+ 
+@@ -534,12 +534,12 @@
+ done
+
+ # Installation dir to configuration file
+-INSTALLDIRCHECK=`cat /usr/local/etc/rkhunter.conf | grep "INSTALLDIR="`
++INSTALLDIRCHECK=`cat ${INSTALLDIR}/etc/rkhunter.conf | grep "INSTALLDIR="`
+ if [ "${INSTALLDIRCHECK}" = "" ]
+   then
+-    echo "" >> /usr/local/etc/rkhunter.conf
+-    echo "INSTALLDIR=${INSTALLDIR}" >> /usr/local/etc/rkhunter.conf
+-    echo "Configuration updated with installation path (${INSTALLDIR})"
++    echo "" >> ${INSTALLDIR}/etc/rkhunter.conf
++    echo "INSTALLDIR=/usr" >> ${INSTALLDIR}/etc/rkhunter.conf
++    echo "Configuration updated with installation path (/usr)"
+   else
+     echo "Configuration already updated."
+ fi
+@@ -548,7 +548,7 @@
+ then
+ 	echo ""
+ 	echo $E "$t17"
+-	echo "$t18 (/usr/local/bin/rkhunter)"
++	echo "$t18 (${INSTALLDIR}/bin/rkhunter)"
+ else
+ 	echo ""
+ 	echo $E "$t19"
--- rkhunter-1.2.8.orig/debian/patches/04_add_sid_etch_architectures.dpatch
+++ rkhunter-1.2.8/debian/patches/04_add_sid_etch_architectures.dpatch
@@ -0,0 +1,24 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 04_add_sid_etch_amd64.dpatch by Micah Anderson <Micah Anderson <micah@debian.org>>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad rkhunter~/files/os.dat rkhunter/files/os.dat
+--- rkhunter~/files/os.dat	2006-02-15 17:43:08.000000000 +0100
++++ rkhunter/files/os.dat	2006-04-04 20:43:40.000000000 +0200
+@@ -150,3 +150,13 @@
+ 702:Gentoo Linux 1.6 (sparc):/usr/bin/md5sum:/bin:
+ 703:Gentoo Linux 1.6 (sparc64):/usr/bin/md5sum:/bin:
+ 704:Gentoo Linux 1.6 (x86_64):/usr/bin/md5sum:/bin:
++900:Debian testing/unstable (x86_64):/usr/bin/md5sum:/bin:
++901:Debian testing/unstable (powerpc):/usr/bin/md5sum:/bin:
++902:Debian testing/unstable (alpha):/usr/bin/md5sum:/bin:
++903:Debian testing/unstable (arm):/usr/bin/md5sum:/bin:
++904:Debian testing/unstable (hppa):/usr/bin/md5sum:/bin:
++905:Debian testing/unstable (ia64):/usr/bin/md5sum:/bin:
++906:Debian testing/unstable (mips):/usr/bin/md5sum:/bin:
++907:Debian testing/unstable (mipsel):/usr/bin/md5sum:/bin:
++908:Debian testing/unstable (s390):/usr/bin/md5sum:/bin:
++909:Debian testing/unstable (sparc):/usr/bin/md5sum:/bin:
--- rkhunter-1.2.8.orig/debian/patches/03_avoid_broken_mirrors.dpatch
+++ rkhunter-1.2.8/debian/patches/03_avoid_broken_mirrors.dpatch
@@ -0,0 +1,23 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 03_mirror7.dpatch by  <julien@kirya.net>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad rkhunter~/files/mirrors.dat rkhunter/files/mirrors.dat
+--- rkhunter~/files/mirrors.dat	2005-10-22 21:35:23.000000000 +0200
++++ rkhunter/files/mirrors.dat	2006-03-05 08:39:24.000000000 +0100
+@@ -1,9 +1,7 @@
+ version=2005050700
+ mirror=http://www.rootkit.nl/rkhunter
+-mirror=http://mirror01.mirror.rkhunter.org
+ mirror=http://mirror07.mirror.rkhunter.org
+ mirror=http://mirror11.mirror.rkhunter.org
+ mirror=http://mirror13.mirror.rkhunter.org
+ mirror=http://mirror14.mirror.rkhunter.org
+-mirror=http://mirror18.mirror.rkhunter.org
+-mirror=http://www.rkhunter.com.ar
+\ Pas de fin de ligne Ã  la fin du fichier.
++mirror=http://www.rkhunter.com.ar
+
--- rkhunter-1.2.8.orig/debian/patches/00list
+++ rkhunter-1.2.8/debian/patches/00list
@@ -0,0 +1,6 @@
+01_installer.dpatch
+02_regex_escape.dpatch
+03_avoid_broken_mirrors.dpatch
+04_add_sid_etch_architectures.dpatch
+05_custom_conffile.dpatch
+06_lib_to_share.dpatch
--- rkhunter-1.2.8.orig/debian/patches/05_custom_conffile.dpatch
+++ rkhunter-1.2.8/debian/patches/05_custom_conffile.dpatch
@@ -0,0 +1,33 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 05_custom_conffile.dpatch by  <julien@kirya.net>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad rkhunter~/files/rkhunter.conf rkhunter/files/rkhunter.conf
+--- rkhunter~/files/rkhunter.conf	2006-04-06 19:36:20.000000000 +0200
++++ rkhunter/files/rkhunter.conf	2006-04-06 21:14:09.000000000 +0200
+@@ -24,6 +24,9 @@
+ # --dbdir parameter)
+ #DBDIR=/usr/local/rkhunter/db
+ 
++# Use a custome directory for shared scripts
++SHAREDIR=/usr/share
++
+ # Whitelist files (and their MD5 hash)
+ # Usage: MD5WHITELIST=<binary>:<MD5 hash>
+ #MD5WHITELIST=/bin/ps:9bd8bf260adc81d3a43a086fce6b430a
+@@ -39,6 +42,12 @@
+ #
+ #ALLOWHIDDENDIR=/etc/.java
+ 
++# Uncomment the following 3 lines if you have installed udev
++# and do not want to get warnings about these hidden directories
++#ALLOWHIDDENDIR=/dev/.static
++#ALLOWHIDDENDIR=/dev/.udev
++#ALLOWHIDDENDIR=/dev/.udevdb
++
+ # Allow hidden file
+ # One file per line (use multiple ALLOWHIDDENFILE lines)
+ # 
--- rkhunter-1.2.8.orig/debian/patches/02_regex_escape.dpatch
+++ rkhunter-1.2.8/debian/patches/02_regex_escape.dpatch
@@ -0,0 +1,20 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 02_regex_escape.dpatch by Bastian Kleineidam <calvin@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: escapes the dot of filenames for the egrep call
+
+@DPATCH@
+
+--- rkhunter/files/rkhunter.orig	2005-10-18 15:37:35.351177593 +0200
++++ rkhunter/files/rkhunter	2005-10-18 15:38:07.936249318 +0200
+@@ -3088,7 +3088,7 @@
+ 	SUSP_FILES="backdoor"
+ 	# Add more suspicious files to the check
+ 	for I in ${SUSP_FILES_INFO}; do
+-	  FILENAME=`echo ${I} | cut -d':' -f1`
++	  FILENAME=`echo ${I} | cut -d':' -f1 | sed 's/\./\\./g'`
+ 	  SUSP_FILES="${SUSP_FILES}|${FILENAME}"
+ 	done
+ 	logtext "Check for strings (filenames): ${SUSP_FILES}"
+
--- rkhunter-1.2.8.orig/debian/rules
+++ rkhunter-1.2.8/debian/rules
@@ -0,0 +1,65 @@
+#!/usr/bin/make -f
+#
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+include /usr/share/dpatch/dpatch.make
+
+build: patch 
+
+clean: unpatch
+	dh_testdir
+	dh_testroot 
+	dh_clean
+
+install: patch build
+	dh_testdir
+	dh_testroot
+	dh_clean -k 
+	dh_installdirs
+
+	# Add here commands to install the package into debian/rkhunter.
+	./installer.sh --installdir $(CURDIR)/debian/rkhunter
+	mv $(CURDIR)/debian/rkhunter/lib/rkhunter/db/ $(CURDIR)/debian/rkhunter/var/lib/rkhunter/
+	mv $(CURDIR)/debian/rkhunter/lib/rkhunter/tmp/ $(CURDIR)/debian/rkhunter/var/lib/rkhunter/
+	sed -i -e 's/#TMPDIR=\/usr\/local\/rkhunter\/lib\/rkhunter\/tmp/TMPDIR=\/var\/lib\/rkhunter\/tmp/' \
+		-e 's/#DBDIR=\/usr\/local\/rkhunter\/db/DBDIR=\/var\/lib\/rkhunter\/db/' $(CURDIR)/debian/rkhunter/etc/rkhunter.conf 
+	mv $(CURDIR)/debian/rkhunter/lib/ $(CURDIR)/debian/rkhunter/usr/
+	mv $(CURDIR)/debian/rkhunter/bin/ $(CURDIR)/debian/rkhunter/usr/
+	# mv $(CURDIR)/debian/rkhunter/usr/lib/rkhunter/docs/CHANGELOG $(CURDIR)
+	rm -rf $(CURDIR)/debian/rkhunter/usr/lib/rkhunter/docs/
+	chmod 600 $(CURDIR)/debian/rkhunter/var/lib/rkhunter/db/*.dat
+
+	# moves scripts from /usr/lib to /usr/share (arch-independent)
+	mv $(CURDIR)/debian/rkhunter/usr/lib/rkhunter $(CURDIR)/debian/rkhunter/usr/share/
+
+	# installs lintian override
+	mv $(CURDIR)/debian/override $(CURDIR)/debian/rkhunter/usr/share/lintian/overrides/rkhunter
+
+# Build architecture-dependent files here.
+binary-arch: build install
+
+# Build architecture-independent files here.
+binary-indep: build install
+	dh_testdir
+	dh_testroot
+	dh_installcron
+	dh_installinit
+	dh_installman files/development/rkhunter.8
+	dh_installchangelogs $(CURDIR)/files/CHANGELOG
+	dh_installdocs
+	dh_installchangelogs
+	dh_installdebconf
+	dh_install --sourcedir=debian/tmp
+	dh_link
+	dh_compress
+	dh_fixperms -X.dat
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
+
--- rkhunter-1.2.8.orig/debian/docs
+++ rkhunter-1.2.8/debian/docs
@@ -0,0 +1,2 @@
+files/README
+files/WISHLIST
--- rkhunter-1.2.8.orig/debian/po/templates.pot
+++ rkhunter-1.2.8/debian/po/templates.pot
@@ -0,0 +1,45 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: rkhunter 1.2.7-15\n"
+"Report-Msgid-Bugs-To: micah@debian.org\n"
+"POT-Creation-Date: 2005-10-04 07:09+0200\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../templates:3
+msgid "Activate daily run?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../templates:3
+msgid ""
+"Choose this option if you want rkhunter to be run automatically via cron."
+"daily."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../templates:9
+msgid "Activate weekly database update?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../templates:9
+msgid ""
+"Choose this option if you want rkhunter databases to be updated "
+"automatically via cron.weekly."
+msgstr ""
--- rkhunter-1.2.8.orig/debian/po/cs.po
+++ rkhunter-1.2.8/debian/po/cs.po
@@ -0,0 +1,48 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: rkhunter\n"
+"Report-Msgid-Bugs-To: micah@debian.org\n"
+"POT-Creation-Date: 2005-10-04 07:09+0200\n"
+"PO-Revision-Date: 2005-10-04 17:40+0200\n"
+"Last-Translator: Miroslav Kure <kurem@debian.cz>\n"
+"Language-Team: Czech <debian-l10n-czech@lists.debian.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../templates:3
+msgid "Activate daily run?"
+msgstr "Aktivovat dennÃ­ spouÅ¡tÄ›nÃ­?"
+
+#. Type: boolean
+#. Description
+#: ../templates:3
+msgid ""
+"Choose this option if you want rkhunter to be run automatically via cron."
+"daily."
+msgstr ""
+"Tuto volbu povolte, pokud chcete, aby se rkhunter spouÅ¡tÄ›l automaticky "
+"skrze cron.daily."
+
+#. Type: boolean
+#. Description
+#: ../templates:9
+msgid "Activate weekly database update?"
+msgstr "Aktivovat tÃ½dennÃ­ aktualizaci databÃ¡ze?"
+
+#. Type: boolean
+#. Description
+#: ../templates:9
+msgid ""
+"Choose this option if you want rkhunter databases to be updated "
+"automatically via cron.weekly."
+msgstr ""
+"Tuto volbu povolte, pokud chcete, aby se databÃ¡ze rkhunteru aktualizovaly "
+"automaticky skrze cron.weekly."
--- rkhunter-1.2.8.orig/debian/po/fr.po
+++ rkhunter-1.2.8/debian/po/fr.po
@@ -0,0 +1,60 @@
+# French translation of rkhunter.
+# Copyright (C) 2005 THE rkhunter'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the rkhunter package.
+# Sylvain Archenault <sylvain.archenault@laposte.net>, 2005.
+# , fuzzy
+# 
+# 
+msgid ""
+msgstr ""
+"Project-Id-Version: rkhunter 1.2.7-14\n"
+"Report-Msgid-Bugs-To: micah@debian.org\n"
+"POT-Creation-Date: 2005-10-03 20:30+0200\n"
+"PO-Revision-Date: 2005-10-06 14:40+0200\n"
+"Last-Translator: Sylvain Archenault <sylvain.archenault@laposte.net>\n"
+"Language-Team: French <debian-l10n-list@debian.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=iso-8859-15\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../templates:3
+msgid "Activate daily run?"
+msgstr "Faut-il exécuter rkhunter quotidiennement ?"
+
+#. Type: boolean
+#. Description
+#: ../templates:3
+msgid ""
+"Choose this option if you want rkhunter to be run automatically via cron."
+"daily."
+msgstr ""
+"Choisissez cette option si vous souhaitez que rkhunter soit automatiquement "
+"exécuté quotidiennement."
+
+#. Type: boolean
+#. Description
+#: ../templates:9
+msgid "Activate weekly database update?"
+msgstr "Faut-il activer la mise à jour hebdomadaire de la base de données ?"
+
+#. Type: boolean
+#. Description
+#: ../templates:9
+msgid ""
+"Choose this option if you want rkhunter databases to be updated "
+"automatically via cron.weekly."
+msgstr ""
+"Choisissez cette option si vous souhaitez que les bases de données de "
+"rkhunter soient automatiquement mises à jour chaque semaine."
+
+#~ msgid "Say yes if you want to run rkhunter tests every day."
+#~ msgstr ""
+#~ "Si vous choisissez cette option, les tests rkhunter s'exécuteront "
+#~ "quotidiennement."
+
+#~ msgid "Say yes if you want to update rkhunter database every week."
+#~ msgstr ""
+#~ "Si vous choisissez cette option, une mise à jour de la base de données de "
+#~ "rkhunter aura lieu chaque semaine."
--- rkhunter-1.2.8.orig/debian/po/sv.po
+++ rkhunter-1.2.8/debian/po/sv.po
@@ -0,0 +1,54 @@
+# Swedish translation of rkhunter.
+# Copyright (C) 2005 THE rkhunter'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the rkhunter package.
+# Daniel Nylander <po@danielnylander.se>, 2005.
+# , fuzzy
+# 
+# 
+msgid ""
+msgstr ""
+"Project-Id-Version: rkhunter 1.2.7-14\n"
+"Report-Msgid-Bugs-To: micah@debian.org\n"
+"POT-Creation-Date: 2005-10-04 07:09+0200\n"
+"PO-Revision-Date: 2005-10-05 07:24+0200\n"
+"Last-Translator: Daniel Nylander <po@danielnylander.se>\n"
+"Language-Team: Swedish <sv@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=iso-8859-1\n"
+"Content-Transfer-Encoding: 8bit"
+
+#. Type: boolean
+#. Description
+#: ../templates:3
+msgid "Activate daily run?"
+msgstr "Aktivera dagliga körningar?"
+
+#. Type: boolean
+#. Description
+#: ../templates:3
+msgid ""
+"Choose this option if you want rkhunter to be run automatically via cron."
+"daily."
+msgstr ""
+"Välj detta om du vill att rkhunter ska köras dagligen, automatiskt via cron."
+
+#. Type: boolean
+#. Description
+#: ../templates:9
+msgid "Activate weekly database update?"
+msgstr "Aktivera databasuppdateringar per vecka?"
+
+#. Type: boolean
+#. Description
+#: ../templates:9
+msgid ""
+"Choose this option if you want rkhunter databases to be updated "
+"automatically via cron.weekly."
+msgstr ""
+"Välj detta om du vill att rkhunter ska uppdateras veckovis, automatiskt via cron."
+
+#~ msgid "Say yes if you want to run rkhunter tests every day."
+#~ msgstr "SÃ¤g ja om du vill att rkhunter ska testa ditt system varje dag."
+
+#~ msgid "Say yes if you want to update rkhunter database every week."
+#~ msgstr "SÃ¤g ja om du vill uppdatera rkhunters databas varje vecka."
--- rkhunter-1.2.8.orig/debian/po/POTFILES.in
+++ rkhunter-1.2.8/debian/po/POTFILES.in
@@ -0,0 +1 @@
+[type: gettext/rfc822deb] templates
--- rkhunter-1.2.8.orig/debian/templates
+++ rkhunter-1.2.8/debian/templates
@@ -0,0 +1,11 @@
+Template: rkhunter/cron_daily_run
+Type: boolean
+_Description: Activate daily run?
+ Choose this option if you want rkhunter to be run automatically
+ via cron.daily.
+
+Template: rkhunter/cron_db_update
+Type: boolean
+_Description: Activate weekly database update?
+ Choose this option if you want rkhunter databases to be
+ updated automatically via cron.weekly.
--- rkhunter-1.2.8.orig/debian/cron.weekly
+++ rkhunter-1.2.8/debian/cron.weekly
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+RKHUNTER=/usr/bin/rkhunter
+
+if [ ! -x $RKHUNTER ]; then
+  exit 0
+fi
+
+# source our config
+. /etc/default/rkhunter
+
+case "$CRON_DB_UPDATE" in
+     [Yy]*)
+	OUTFILE=`mktemp` || exit 1
+	if [ "$DB_UPDATE_EMAIL" = "no" ]
+	then
+	    $RKHUNTER --versioncheck 1>/dev/null 2>$OUTFILE
+	    $RKHUNTER --update 1>/dev/null 2>$OUTFILE
+	else
+	    ( $RKHUNTER --versioncheck 
+	      $RKHUNTER --update
+	    ) | mail -s "[rkhunter] Weekly database update" $REPORT_EMAIL
+	fi
+        if [ $(stat -c %s $OUTFILE) -ne 0 ]; then
+           cat $OUTFILE | mail -s "[rkhunter] Weekly database update" $REPORT_EMAIL
+        fi
+        rm -f $OUTFILE
+        ;;
+      *)
+       exit 0
+       ;;
+esac
+
--- rkhunter-1.2.8.orig/debian/logrotate
+++ rkhunter-1.2.8/debian/logrotate
@@ -0,0 +1,9 @@
+/var/log/rkhunter.log {
+        weekly
+        missingok
+        rotate 4
+        compress
+        delaycompress
+        notifempty
+        create 640 root root
+}
--- rkhunter-1.2.8.orig/debian/dirs
+++ rkhunter-1.2.8/debian/dirs
@@ -0,0 +1,4 @@
+/usr
+/var/lib/rkhunter
+/etc/default
+/usr/share/lintian/overrides
--- rkhunter-1.2.8.orig/debian/cron.daily
+++ rkhunter-1.2.8/debian/cron.daily
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+RKHUNTER=/usr/bin/rkhunter
+
+if [ ! -x $RKHUNTER ]; then
+  exit 0
+fi
+
+# source our config
+. /etc/default/rkhunter
+
+case "$CRON_DAILY_RUN" in
+     [Yy]*)
+       	OUTFILE=`mktemp` || exit 1
+        $RKHUNTER --cronjob --report-warnings-only > $OUTFILE
+        if [ $(stat -c %s $OUTFILE) -ne 0 ]; then
+           cat $OUTFILE | mail -s "[rkhunter] Daily run" $REPORT_EMAIL
+        fi
+	rm -f $OUTFILE
+        ;;
+      *)
+       exit 0
+       ;;
+esac
+
--- rkhunter-1.2.8.orig/debian/config
+++ rkhunter-1.2.8/debian/config
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+. /usr/share/debconf/confmodule
+
+db_title "rkhunter" || true
+
+db_input medium rkhunter/cron_daily_run || true
+db_input medium rkhunter/cron_db_update || true
+db_go || true
--- rkhunter-1.2.8.orig/debian/watch
+++ rkhunter-1.2.8/debian/watch
@@ -0,0 +1,6 @@
+# Example watch control file for uscan
+# Rename this file to "watch" and then you can run the "uscan" command
+# to check for upstream updates and more.
+# Site		Directory		Pattern			Version	Script
+version=2
+downloads.rootkit.nl / rkhunter-(.*)\.tar\.gz	debian	uupdate
--- rkhunter-1.2.8.orig/debian/copyright
+++ rkhunter-1.2.8/debian/copyright
@@ -0,0 +1,28 @@
+This package was debianized by Emanuele Rocca <ema@debian.org> on
+Wed,  5 Jan 2005 14:04:00 +0100, it was improved by 
+Julien Valroff <julien@kirya.net> and Micah Anderson <micah@debian.org>.
+
+It was downloaded from http://www.rootkit.nl/projects/rootkit_hunter.html
+
+Copyright:
+(c) Michael Boelen <michael AT rootkit.nl>
+
+Upstream Author: Michael Boelen <michael AT rootkit.nl>
+
+License:
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+On Debian systems, the complete text of the GNU General Public
+License can be found in the file `/usr/share/common-licenses/GPL'.
--- rkhunter-1.2.8.orig/debian/README.Debian
+++ rkhunter-1.2.8/debian/README.Debian
@@ -0,0 +1,26 @@
+rkhunter
+--------
+
+The Rootkit Hunter FAQ is located at:
+http://www.rootkit.nl/articles/rootkit_hunter_faq.html
+
+
+Below is a list of packages which are known to set off false alarms in
+rkhunter:
+
+  * slice: /usr/bin/slice sets false alarm about RH-Sharpe
+
+
+Below is a list of common hidden files and directories known to set off
+false alarms in rkhunter:
+
+  * /dev/.static/, /dev/.udev & /dev/.udevdb/ - used by udev
+  * /etc/.java/ - it is common for java installations to use this
+    hidden directory
+
+In most cases, you can just ignore warnings about these files and directories.
+Use ALLOWHIDDENFILES and ALLOHIDDENDIRS options in /etc/rkhunter.conf to
+avoid them.
+
+-- Micah Anderson <micah@debian.org> Sat Sep  3 18:23:21 CDT 2005
+
